#ifndef _ENVENTOR_OBJECT_EO_LEGACY_H_
#define _ENVENTOR_OBJECT_EO_LEGACY_H_

#ifndef _ENVENTOR_OBJECT_EO_CLASS_TYPE
#define _ENVENTOR_OBJECT_EO_CLASS_TYPE

typedef Eo Enventor_Object;

#endif

#ifndef _ENVENTOR_OBJECT_EO_TYPES
#define _ENVENTOR_OBJECT_EO_TYPES


#endif

EAPI void enventor_object_part_highlight_set(Enventor_Object *obj, Eina_Bool part_highlight);

EAPI Eina_Bool enventor_object_part_highlight_get(const Enventor_Object *obj);

EAPI void enventor_object_live_view_scale_set(Enventor_Object *obj, double scale);

EAPI double enventor_object_live_view_scale_get(const Enventor_Object *obj);

EAPI void enventor_object_dummy_parts_set(Enventor_Object *obj, Eina_Bool dummy_parts);

EAPI Eina_Bool enventor_object_dummy_parts_get(const Enventor_Object *obj);

EAPI void enventor_object_wireframes_set(Enventor_Object *obj, Eina_Bool wireframe);

EAPI Eina_Bool enventor_object_wireframes_get(const Enventor_Object *obj);

EAPI void enventor_object_mirror_mode_set(Enventor_Object *obj, Eina_Bool mirror_mode);

EAPI Eina_Bool enventor_object_mirror_mode_get(const Enventor_Object *obj);

EAPI void enventor_object_auto_complete_set(Enventor_Object *obj, Eina_Bool auto_complete);

EAPI Eina_Bool enventor_object_auto_complete_get(const Enventor_Object *obj);

EAPI void enventor_object_auto_indent_set(Enventor_Object *obj, Eina_Bool auto_indent);

EAPI Eina_Bool enventor_object_auto_indent_get(const Enventor_Object *obj);

EAPI void enventor_object_ctxpopup_set(Enventor_Object *obj, Eina_Bool ctxpopup);

EAPI Eina_Bool enventor_object_ctxpopup_get(const Enventor_Object *obj);

EAPI void enventor_object_font_scale_set(Enventor_Object *obj, double font_scale);

EAPI double enventor_object_font_scale_get(const Enventor_Object *obj);

EAPI void enventor_object_linenumber_set(Enventor_Object *obj, Eina_Bool linenumber);

EAPI Eina_Bool enventor_object_linenumber_get(const Enventor_Object *obj);

EAPI void enventor_object_smart_undo_redo_set(Enventor_Object *obj, Eina_Bool smart_undo_redo);

EAPI Eina_Bool enventor_object_smart_undo_redo_get(const Enventor_Object *obj);

EAPI Eina_Bool enventor_object_path_set(Enventor_Object *obj, Enventor_Path_Type type, Eina_List *pathes);

EAPI const Eina_List *enventor_object_path_get(Enventor_Object *obj, Enventor_Path_Type type);

EAPI Eina_List *enventor_object_programs_list_get(Enventor_Object *obj);

EAPI Eina_List *enventor_object_part_states_list_get(Enventor_Object *obj, const char *type);

EAPI Eina_List *enventor_object_parts_list_get(Enventor_Object *obj);

EAPI Efl_Canvas_Object *enventor_object_live_view_get(Enventor_Object *obj);

EAPI void enventor_object_programs_stop(Enventor_Object *obj);

EAPI void enventor_object_program_run(Enventor_Object *obj, const char *program);

EAPI void enventor_object_syntax_color_set(Enventor_Object *obj, Enventor_Syntax_Color_Type color_type, const char *val);

EAPI const char *enventor_object_syntax_color_get(Enventor_Object *obj, Enventor_Syntax_Color_Type color_type);

EAPI Eina_Bool enventor_object_ctxpopup_visible_get(Enventor_Object *obj);

EAPI void enventor_object_ctxpopup_dismiss(Enventor_Object *obj);

EAPI void enventor_object_disabled_set(Enventor_Object *obj, Eina_Bool disabled);

EAPI void enventor_object_live_view_size_set(Enventor_Object *obj, int w, int h);

EAPI void enventor_object_live_view_size_get(Enventor_Object *obj, int *w, int *h);

EAPI Edje_Part_Type enventor_object_part_type_get(Enventor_Object *obj, const char *part_name);

EAPI void enventor_object_font_set(Enventor_Object *obj, const char *font_name, const char *font_style);

EAPI void enventor_object_font_get(Enventor_Object *obj, const char **font_name, const char **font_style);

EAPI void enventor_object_auto_complete_list_show(Enventor_Object *obj);

EAPI void enventor_object_keyword_reference_show(Enventor_Object *obj);

EAPI double enventor_object_base_scale_get(Enventor_Object *obj);

#endif
